%define	major	0
%define	famajor	1
%define	libname	%mklibname augeas %{major}
%define	libfa	%mklibname fa %{famajor}
%define	devname	%mklibname augeas -d

Summary:	A library for changing configuration files
Name:		augeas
Version:	1.10.1
Release:	1
License:	LGPLv2.1+
Group:		System/Libraries
Url:		http://augeas.net/
Source0:	http://download.augeas.net/%{name}-%{version}.tar.gz
Source1:	http://download.augeas.net/%{name}-%{version}.tar.gz.sig
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(libxml-2.0)

%description
A library for programmatically editing configuration files. Augeas parses
configuration files into a tree structure, which it exposes through its
public API. Changes made through the API are written back to the initially
read files.

The transformation works very hard to preserve comments and formatting
details. It is controlled by ``lens'' definitions that describe the file
format and the transformation into a tree.

%files
%{_bindir}/augmatch
%{_bindir}/augtool
%{_bindir}/augparse
%{_bindir}/fadot
%{_mandir}/man1/*
%{_datadir}/vim/vimfiles/ftdetect/augeas.vim
%{_datadir}/vim/vimfiles/syntax/augeas.vim

#----------------------------------------------------------------------------

%package lenses
Summary:	Lenses for %{name}
Group:		System/Libraries

%description lenses
The lenses for %{name}.

%files lenses
%doc AUTHORS NEWS
%{_datadir}/augeas

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for %{name}
Group:		System/Libraries
Requires:	%{name}-lenses

%description -n %{libname}
The library for %{name}.

%files -n %{libname}
/%{_lib}/libaugeas.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libfa}
Summary:	Library for %{name}
Group:		System/Libraries
Conflicts:	%{libname} < 0.9.0-2

%description -n %{libfa}
The library for %{name}.

%files -n %{libfa}
/%{_lib}/libfa.so.%{famajor}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libfa} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%{_includedir}/*
%{_libdir}/libaugeas.so
%{_libdir}/libfa.so
%{_libdir}/pkgconfig/augeas.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std
mkdir %{buildroot}/%{_lib}
mv %{buildroot}%{_libdir}/libaugeas.so.%{major}* %{buildroot}/%{_lib}
ln -srf %{buildroot}/%{_lib}/libaugeas.so.%{major}.*.* %{buildroot}%{_libdir}/libaugeas.so
mv %{buildroot}%{_libdir}/libfa.so.%{famajor}* %{buildroot}/%{_lib}
ln -srf %{buildroot}/%{_lib}/libfa.so.%{famajor}.*.* %{buildroot}%{_libdir}/libfa.so

%check
#make check

%changelog

* Tue Jun 12 2018 Denis Silakov <denis.silakov@rosalab.ru> 1.10.1-1
- (a404ff3) Added augmatch binary  to files


